//
//  DashboardViewController.h
//  HA7 logger mini05
//
//  Created by 富樫 豊彦 on 2015/03/10.
//  Copyright (c) 2015年 富樫 豊彦. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "CircularGauge.h"
#import "LinerGauge.h"

#define RECORD_PERIOD   60.0
#define FUEL_TANK       37.0
#define SAVE_START_G    3.0

@interface DashboardViewController : UIViewController <UINavigationControllerDelegate, UIImagePickerControllerDelegate> {
    IBOutlet UIView         *cameraOverlayView;
    IBOutlet UISwitch       *recordSw;
    IBOutlet UILabel        *recordSwL;
    IBOutlet UISwitch       *saveSw;
    IBOutlet UILabel        *saveSwL;
    IBOutlet UILabel        *statMsg;
    IBOutlet UILabel        *recordMsg;
    IBOutlet UIView         *mainPanel;
    IBOutlet UIView         *subPanel;

    IBOutlet UILabel        *vss;
    IBOutlet UILabel        *rpm;
    IBOutlet CircularGauge  *rpmG;
    
    IBOutlet UILabel        *effNow;
    IBOutlet LinerGauge     *effNowG;
    IBOutlet UILabel        *effDay;
    IBOutlet LinerGauge     *effDayG;
    IBOutlet UILabel        *effAve;
    IBOutlet LinerGauge     *effAveG;
    
    IBOutlet UILabel        *stopTim;
    IBOutlet UILabel        *fuse_d;
    IBOutlet UILabel        *dist_d;
    IBOutlet UILabel        *runtmDay;
    IBOutlet UIProgressView *runtmDayG;
    
    IBOutlet UILabel        *remainFuel;
    IBOutlet UIProgressView *remainFuelG;
    IBOutlet UILabel        *remainDist;
    IBOutlet UILabel        *ect;
    IBOutlet UIProgressView *ectG;
    IBOutlet UILabel        *vpwr;
    IBOutlet UIProgressView *vpwrG;
    
}

@end
